Pipeline Runs - Cancel
Cancel a pipeline run by its run ID.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.DataFactory/factories/{factoryName}/pipelineruns/{runId}/cancel?api-version=2018-06-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.DataFactory/factories/{factoryName}/pipelineruns/{runId}/cancel?api-version=2018-06-01&isRecursive={isRecursive}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
factory
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$ |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
run
|
path | True |
string |
The pipeline run identifier. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
is
|
query |
boolean |
If true, cancel all the Child pipelines that are triggered by the current pipeline. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PipelineRuns_Cancel
Sample request
POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/microsoft.DataFactory/factories/exampleFactoryName/pipelineruns/16ac5348-ff82-4f95-a80d-638c1d47b721/cancel?api-version=2018-06-01
Sample response
Definitions
CloudError
The object that defines the structure of an Azure Data Factory error response.
| Name | Type | Description |
|---|---|---|
| error.code |
string |
Error code. |
| error.details |
Array with additional error details. |
|
| error.message |
string |
Error message. |
| error.target |
string |
Property name/path in request associated with error. |